Bug 1218590

Summary: javascript dir is missing from RPM
Product: [Fedora] Fedora EPEL Reporter: captainblerko
Component: websvnAssignee: Xavier Bachelot <xavier>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: el6CC: xavier
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: noarch   
OS: Linux   
Whiteboard:
Fixed In Version: websvn-2.3.3-9.fc22 websvn-2.3.3-12.el7 websvn-2.3.3-12.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-21 00:31:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description captainblerko 2015-05-05 10:39:06 UTC
Description of problem:

The javascript directory does not seem to be installed from the EPEL6 RPM

Version-Release number of selected component (if applicable):

websvn-2.3.3-2.el6.noarch

How reproducible:

Easy

Steps to Reproduce:
1. Install package and compare to tar.gz from websvn.info
2. Note missing javascript directory


Actual results:

javascript directory is missing


Expected results:

javascript and contents are in place 

Additional info:

I think the javascript dir is missing from the RPM, the spec file would need to be changed to install it:

76c76
< cp -a *.php include languages templates $RPM_BUILD_ROOT/%{_datadir}/%{name}
---
> cp -a *.php include languages javascript templates $RPM_BUILD_ROOT/%{_datadir}/%{name}

Comment 1 Fedora Update System 2015-05-07 08:42:09 UTC
websvn-2.3.3-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/websvn-2.3.3-9.el6

Comment 2 Fedora Update System 2015-05-07 08:42:15 UTC
websvn-2.3.3-9.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/websvn-2.3.3-9.el7

Comment 3 Fedora Update System 2015-05-07 08:42:21 UTC
websvn-2.3.3-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/websvn-2.3.3-9.fc21

Comment 4 Fedora Update System 2015-05-07 08:42:27 UTC
websvn-2.3.3-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/websvn-2.3.3-9.fc22

Comment 5 Fedora Update System 2015-05-07 08:42:34 UTC
websvn-2.3.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/websvn-2.3.3-9.fc20

Comment 6 Fedora Update System 2015-05-08 16:41:30 UTC
Package websvn-2.3.3-9.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing websvn-2.3.3-9.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6185/websvn-2.3.3-9.el6
then log in and leave karma (feedback).

Comment 7 captainblerko 2015-05-14 07:06:47 UTC
Sorry I misread your update to say it would be available in the main repos so I have been watching them, I will see if I can make my machine see the epel-testing repo, thanks.

Comment 8 captainblerko 2015-05-14 07:39:35 UTC
I pulled the RPM and installed that, and the javascript dir and associated files were installed, so thanks for that. This fixes my issue.

Comment 9 Fedora Update System 2015-05-20 18:50:15 UTC
websvn-2.3.3-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-20 18:50:29 UTC
websvn-2.3.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-26 03:35:05 UTC
websvn-2.3.3-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-03-03 15:48:47 UTC
websvn-2.3.3-12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b14579b3db

Comment 13 Fedora Update System 2016-03-03 20:51:12 UTC
websvn-2.3.3-12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b14579b3db

Comment 14 Fedora Update System 2016-03-04 16:44:56 UTC
websvn-2.3.3-12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0fc6ac67c6

Comment 15 Fedora Update System 2016-03-05 01:53:44 UTC
websvn-2.3.3-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0fc6ac67c6

Comment 16 Fedora Update System 2016-03-21 00:31:27 UTC
websvn-2.3.3-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-03-21 01:29:19 UTC
websvn-2.3.3-12.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.